//../../wechatpublic///但是在JS中我们要格式化这个当前时间并没有format方法可以使用，所以当我们在JS中需要直接格式化日期时，我们可以自己定义一个方法专门用来格式化日期，在<script>内定义
Date.prototype.Format = function(format) {
	var o = {
		"M+" : this.getMonth() + 1, // month
		"d+" : this.getDate(), // day
		"h+" : this.getHours(), // hour
		"m+" : this.getMinutes(), // minute
		"s+" : this.getSeconds(), // second
		"q+" : Math.floor((this.getMonth() + 3) / 3), // quarter
		"S" : this.getMilliseconds()
	// millisecond
	}
	if (/(y+)/.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + "")
				.substr(4 - RegExp.$1.length));
	}
	for ( var k in o) {
		if (new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k]
					: ("00" + o[k]).substr(("" + o[k]).length));
		}
	}
	return format;

}

// 格式化时间
function FormatDate(strTime) {
	var date = new Date(strTime);
	return date.Format("yyyy-MM-dd hh:mm:ss");
}

// 格式化时间(只有年月日 分时）
function FormatDate1(strTime) {
	var date = new Date(strTime);
	return date.Format("yyyy-MM-dd hh:mm");
}

// 格式化时间(只有年月日）
function FormatDate2(strTime) {
	var date = new Date(strTime);
	return date.Format("yyyy-MM-dd");
}

// 格式化时间(只有时分）
function FormatDate3(strTime) {
	var date = new Date(strTime);
	return date.Format("hh:mm");
}

// 格式化时间(只有时分）
function FormatDate4(strTime) {
	return strTime.substr(0, 5);
}

// 格式化时间
function FormatDate5(strTime) {
	var date = new Date(strTime);
	return date.Format("yyyy-MM-ddThh:mm");
}

// 格式化时间
function FormatDate9(strTime) {
	var date = new Date(strTime);
	return date.Format("yyyy-MM-dd hh:mm:ss");
}

// 格式化时间(日）
function FormatDate6(strTime) {
	var date = new Date(strTime);
	return date.Format("dd");
}

// 格式化时间(月）
function FormatDate7(strTime) {
	var date = new Date(strTime);
	return date.Format("MM");
}

// 格式化时间(小时）
function FormatDate8(strTime) {
	var date = new Date(strTime);
	return date.Format("hh");
}
// 验证手机号码的正确性
function checkPhone(phoneNum) {
	if (!(/^1[34578]\d{9}$/.test(phoneNum))) {
		return false;
	}
	return true;
}


//采用正则表达式获取地址栏参数
function GetQueryString(name){
     var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
     var r = window.location.search.substr(1).match(reg);
     if(r!=null)return  unescape(r[2]); return null;
}

/**
 *更改URL参数 ,页面不跳转
 */
function ChangeParam(name, value) {
	var url = window.location.href;
	var newUrl = "";
	var reg = new RegExp("(^|)" + name + "=([^&]*)(|$)");
	var tmp = name + "=" + value;
	if (url.match(reg) != null) {
		newUrl = url.replace(eval(reg), tmp);
	} else {
		if (url.match("[\?]")) {
			newUrl = url + "&" + tmp;
		} else {
			newUrl = url + "?" + tmp;
		}
	}
//	alert(newUrl);
//	location.href = newUrl;
	history.replaceState(null,null,newUrl);
}



// 写cookies
function setCookie(name, value) {
	var Days = 30;
	var exp = new Date();
	exp.setTime(exp.getTime() + Days * 24 * 60 * 60 * 1000);
	document.cookie = name + "=" + escape(value) + ";expires="
			+ exp.toGMTString();
}
//读取cookies 
function getCookie(name) {
	var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
	if (arr = document.cookie.match(reg))
		return unescape(arr[2]);
	else
		return null;
}
//删除cookies 
function delCookie(name) {
	var exp = new Date();
	exp.setTime(exp.getTime() - 1);
	var cval = getCookie(name);
	if (cval != null)
		document.cookie = name + "=" + cval + ";expires=" + exp.toGMTString();
}

// 程序代码
function setCookie2(name, value, time) {
	var strsec = getsec(time);
	var exp = new Date();
	exp.setTime(exp.getTime() + strsec * 1);
	document.cookie = name + "=" + escape(value) + ";expires="+ exp.toGMTString();
}
function getsec(str) {
	//alert(str);
	var str1 = str.substring(1, str.length) * 1;
	var str2 = str.substring(0, 1);
	if (str2 == "s") {
		return str1 * 1000;
	} else if (str2 == "h") {
		return str1 * 60 * 60 * 1000;
	} else if (str2 == "d") {
		return str1 * 24 * 60 * 60 * 1000;
	}
}

// 正则表达式获取url参数
function getQueryString(name) {

	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURI(r[2]); return null;
}
